Bug 506728 - missing library (and header files) for build php4-interbase module
missing library (and header files) for build php4-interbase module
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: firebird (Show other bugs)
el4
All Linux
low Severity medium
: ---
: ---
Assigned To: Philippe Makowski
Fedora Extras Quality Assurance
ActualBug
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 09:55 EDT by Pavel Lisý
Modified: 2009-07-29 18:58 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.1.2.18118.0-11.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-29 17:33:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Lisý 2009-06-18 09:55:22 EDT
Description of problem:
missing library for build php4-interbase module (for EPEL4)

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
./configure file in php4 source is looking for libgds.so.0 or libgds.so file
and build is failing

Expected results:
please add link
 ln -s %{_libdir}/libfbclient.so %{_libdir}/libgds.so.0
 ln -s %{_libdir}/libfbclient.so %{_libdir}/libgds.so

Original rpms (FirebirdCS and FirebirdCS) from http://www.firebirdsql.org/ solved it this way.


Additional info:
Can you add links for header files to /usr/include directly?

./configure suppose to have  it in 

    IBASE_INCDIR=/usr/interbase/include
    IBASE_LIBDIR=/usr/interbase/lib
 or
    IBASE_INCDIR=$PHP_INTERBASE/include
    IBASE_LIBDIR=$PHP_INTERBASE/lib

so even if I use 
--with-interbase=shared,%{_prefix} build fails
  so I need patch configure file in php.spec
Comment 1 Philippe Makowski 2009-06-18 10:24:09 EDT
ok, will be done when new upstream will be there 
since Firebird 2.1.3 is on the way
Comment 2 Philippe Makowski 2009-06-20 13:08:11 EDT
please tell me if these new packages are ok for you
http://koji.fedoraproject.org/koji/taskinfo?taskID=1426273
Comment 3 Pavel Lisý 2009-06-22 03:07:55 EDT
Thanks for action. It looks good but I can't test it. 

I need use it for RHEL4/CentOS4 build. Can you release src.rpm too. I will try it in my mock/repo environment.

My working attempt is here:
http://ftp-hk.tmapy.cz/tmapy-twist/centos/4/updates/SRPMS/firebird-2.1.2.18118.0-8.el4.src.rpm
resp.
http://ftp-hk.tmapy.cz/tmapy-twist/centos/4/updates/i386/
http://ftp-hk.tmapy.cz/tmapy-twist/centos/4/updates/x86_64/
Comment 4 Philippe Makowski 2009-06-22 07:50:00 EDT
ok, so see there please :
http://koji.fedoraproject.org/koji/taskinfo?taskID=1429032

I will try to set up a private repo ASAP
Comment 5 Pavel Lisý 2009-06-22 12:01:38 EDT
It is working thank you. 

I've put then to my repository (see above) and successfully rebuilt php rpms in my mock environment.
Comment 6 Fedora Update System 2009-07-12 05:49:26 EDT
firebird-2.1.2.18118.0-11.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/firebird-2.1.2.18118.0-11.fc11
Comment 7 Fedora Update System 2009-07-12 05:49:35 EDT
firebird-2.1.2.18118.0-11.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/firebird-2.1.2.18118.0-11.el5
Comment 8 Fedora Update System 2009-07-12 05:49:43 EDT
firebird-2.1.2.18118.0-10.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/firebird-2.1.2.18118.0-10.el4
Comment 9 Fedora Update System 2009-07-12 05:49:52 EDT
firebird-2.1.2.18118.0-11.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/firebird-2.1.2.18118.0-11.fc10
Comment 10 Fedora Update System 2009-07-13 15:39:19 EDT
firebird-2.1.2.18118.0-11.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update firebird'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0070
Comment 11 Fedora Update System 2009-07-13 15:39:30 EDT
firebird-2.1.2.18118.0-10.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update firebird'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0057
Comment 12 Fedora Update System 2009-07-16 02:57:46 EDT
firebird-2.1.2.18118.0-11.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update firebird'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7570
Comment 13 Fedora Update System 2009-07-16 03:03:39 EDT
firebird-2.1.2.18118.0-11.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update firebird'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7595
Comment 14 Pavel Lisý 2009-07-23 05:14:11 EDT
Sorry about delay, I've been busy these days. 

I've just made new php-interbase-4.3.9-3.26.
So I can confirm it is working now. 

Thanks for your help.
Comment 15 Fedora Update System 2009-07-29 17:33:14 EDT
firebird-2.1.2.18118.0-11.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-07-29 17:34:38 EDT
firebird-2.1.2.18118.0-11.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2009-07-29 18:57:22 EDT
firebird-2.1.2.18118.0-10.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2009-07-29 18:58:37 EDT
firebird-2.1.2.18118.0-11.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.